Bug 17824 - Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed
Summary: Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16846
  Show dependency treegraph
 
Reported: 2016-12-29 09:38 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17824: Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed (2.94 KB, patch)
2016-12-29 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17824: Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed (3.08 KB, patch)
2017-01-03 05:10 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17824: Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed (3.14 KB, patch)
2017-01-18 10:59 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-12-29 09:38:29 UTC
This subroutine is no longer in used and can be removed.
Comment 1 Jonathan Druart 2016-12-29 09:43:15 UTC
Created attachment 58484 [details] [review]
Bug 17824: Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed

This subroutine is no longer in used and can be removed.

Test plan:
  git grep GetBorrowersWhoHaveNeverBorrowed
must not return any results
Comment 2 M. Tompsett 2017-01-03 05:10:58 UTC
Created attachment 58560 [details] [review]
Bug 17824: Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed

This subroutine is no longer in used and can be removed.

Test plan:
  git grep GetBorrowersWhoHaveNeverBorrowed
must not return any results

NOTE: grep -i getborrowerswhohave `find . -type f`
      works well enough to find the cleanborrowers.pl too.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Julian Maurice 2017-01-18 10:59:13 UTC
Created attachment 59153 [details] [review]
Bug 17824: Remove C4::Members::GetBorrowersWhoHaveNeverBorrowed

This subroutine is no longer in used and can be removed.

Test plan:
  git grep GetBorrowersWhoHaveNeverBorrowed
must not return any results

NOTE: grep -i getborrowerswhohave `find . -type f`
      works well enough to find the cleanborrowers.pl too.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Kyle M Hall 2017-01-20 14:23:56 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-01-22 20:33:25 UTC
This won't get ported back to 16.11.x as it is an enhancement.